"
COPYRIGHT (c) 2021 LabWare

jv:libgdbs - GNU Debugger Interface Library

This library is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation; either
version 2.1 of the License. 

This library is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public
License along with this library; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
"
"{ Package: 'jv:libgdbs' }"

"{ NameSpace: Smalltalk }"

GDBInternalEvent subclass:#GDBEventDelivery
	instanceVariableNames:'subscription event'
	classVariableNames:''
	poolDictionaries:'GDBDebugFlags'
	category:'GDB-Private'
!

!GDBEventDelivery class methodsFor:'documentation'!

copyright
"
COPYRIGHT (c) 2021 LabWare

jv:libgdbs - GNU Debugger Interface Library

This library is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation; either
version 2.1 of the License. 

This library is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public
License along with this library; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
"
! !

!GDBEventDelivery methodsFor:'accessing'!

event
    ^ event
!

event:aGDBEvent
    self assert: (aGDBEvent isKindOf: GDBEvent).
    event := aGDBEvent.

    "Modified: / 29-03-2021 / 12:58:09 / Jan Vrany <jan.vrany@labware.com>"
!

subscription
    ^ subscription
!

subscription:aSubscription
    self assert: (aSubscription isKindOf: Subscription).
    subscription := aSubscription.

    "Modified: / 29-03-2021 / 12:57:48 / Jan Vrany <jan.vrany@labware.com>"
!

subscription:aGDBEventSubscription event: aGDBEvent
    self subscription: aGDBEventSubscription.
    self event: aGDBEvent.

    "Modified: / 29-03-2021 / 12:56:02 / Jan Vrany <jan.vrany@labware.com>"
! !

!GDBEventDelivery methodsFor:'private - dispatching'!

dispatchUsing: aGDBEventDispatcher
    "Dispatch the event using given event dispatcher.

     STRICTLY PRIVATE"

    subscription value: event

    "Created: / 29-03-2021 / 12:21:30 / Jan Vrany <jan.vrany@labware.com>"
! !

