"
COPYRIGHT (c) 2021 LabWare

jv:libgdbs - GNU Debugger Interface Library

This library is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation; either
version 2.1 of the License. 

This library is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public
License along with this library; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
"
"{ Package: 'jv:libgdbs' }"

"{ NameSpace: Smalltalk }"

GDBNotificationEvent subclass:#GDBMemoryChangedEvent
	instanceVariableNames:'threadGroup group_id addr len'
	classVariableNames:''
	poolDictionaries:''
	category:'GDB-Core-Events'
!

!GDBMemoryChangedEvent class methodsFor:'documentation'!

copyright
"
COPYRIGHT (c) 2021 LabWare

jv:libgdbs - GNU Debugger Interface Library

This library is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation; either
version 2.1 of the License. 

This library is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public
License along with this library; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
"
! !

!GDBMemoryChangedEvent class methodsFor:'accessing - GDB value descriptors'!

description
    ^ (super description)
        define:#addr as:Integer;
        define:#len as:Integer;
        define:#'group-id' as:String;
        yourself

    "Created: / 18-11-2021 / 23:04:07 / Jan Vrany <jan.vrany@labware.com>"
! !

!GDBMemoryChangedEvent methodsFor:'accessing'!

addr
    ^ addr
!

len
    ^ len
!

threadGroup
    ^ threadGroup
!

threadGroupId
    ^ group_id

    "Created: / 18-11-2021 / 23:09:56 / Jan Vrany <jan.vrany@labware.com>"
!

type
	^  'memory-changed'
! !

!GDBMemoryChangedEvent methodsFor:'initialization'!

setAddr: anInteger
    addr := anInteger

    "Created: / 18-11-2021 / 23:22:24 / Jan Vrany <jan.vrany@labware.com>"
!

setLen: anInteger
    len := anInteger

    "Created: / 18-11-2021 / 23:22:30 / Jan Vrany <jan.vrany@labware.com>"
!

setThreadGroup: aGDBThreadGroup
    self assert: (group_id isNil or:[ group_id = aGDBThreadGroup id ]).
    threadGroup := aGDBThreadGroup.
    group_id := aGDBThreadGroup id.

    "Created: / 18-11-2021 / 23:08:32 / Jan Vrany <jan.vrany@labware.com>"
! !

!GDBMemoryChangedEvent class methodsFor:'documentation'!

version_HG

    ^ '$Changeset: <not expanded> $'
! !

